Bug 59081 - TestFlight ERROR ITMS-90389: "Size Limit Exceeded
Summary: TestFlight ERROR ITMS-90389: "Size Limit Exceeded
Status: RESOLVED NORESPONSE
Alias: None
Product: iOS
Classification: Xamarin
Component: Xamarin.WatchOS.dll (show other bugs)
Version: XI 10.2 (iOS 10.1)
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-08-28 14:50 UTC by Rajesh Sahu
Modified: 2017-10-06 19:47 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Rajesh Sahu 2017-08-28 14:50:17 UTC
Hi,

I am facing size limit exceeded error for Xamarin Apple watch App while uploading to TestFlight .
I removed Newtonsoft from watch application still App size is 55.1 MB.
I am using System and System.Core references only and have 1-2 MB resources (image and audio).
Please let me know the solution for the same.


Thanks.
Comment 1 Vincent Dondain [MSFT] 2017-08-28 20:24:56 UTC
Hi,

You get large binaries for watchOS partly because we need to generate bitcode (and that's large).

To be able to help you find ways to further reduce the size of the final binary we would need at least your full verbose build output.

To get full build logs just set the log verbosity to diagnostic at the following locations:
- On Visual Studio for Mac: Preferences > Projects > Build
- On Visual Studio for Windows: Tools > Options > Projects and Solutions > Build and Run

Also please provide you version information.

Easiest way to get exact version information:
- On Visual Studio for Mac: "Visual Studio" menu, "About Visual Studio" item, "Show Details" button.
- On Visual Studio for Windows: "Help menu", "About Microsoft Visual Studio" item.
Then copy/paste the version information (you can use the "Copy Information" button).

I would also always recommend using Stack Overflow [0] or the Xamarin Forums [1] for that kind of question because the broader developer community is fast to respond and can provide helpful tips and tricks (;

[0] http://stackoverflow.com/questions/tagged/xamarin
[1] https://forums.xamarin.com/
Comment 2 Vincent Dondain [MSFT] 2017-10-06 19:47:52 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and re-open the bug report. Thanks!